#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	Extensible Binary Meta Language access library
Summary(pl.UTF-8):	Biblioteka dostępu rozszerzalnego metajęzyka binarnego
Name:		libebml
Version:	1.4.5
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://dl.matroska.org/downloads/libebml/%{name}-%{version}.tar.xz
# Source0-md5:	2b6c3c60e0eb54f0156561052ebfba2f
URL:		https://www.matroska.org/
BuildRequires:	cmake >= 3.1.2
BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Extensible Binary Meta Language access library is a library for
reading and writing files with the Extensible Binary Meta Language, a
binary pendant to XML.

%description -l pl.UTF-8
Biblioteka rozszerzalnego metajęzyka binarnego (Extensible Binary Meta
Language, w skrócie EBML) umożliwia czytanie i zapisywanie plików w
tym metajęzyku, będącym binarnym uzupełnieniem XML-a.

%package devel
Summary:	Header files for Extensible Binary Meta Language library
Summary(pl.UTF-8):	Nagłówki biblioteki rozszerzalnego metajęzyka binarnego
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel >= 6:4.7

%description devel
Header files for Extensible Binary Meta Language library.

%description devel -l pl.UTF-8
Nagłówki biblioteki rozszerzalnego metajęzyka binarnego.

%package static
Summary:	Static version of Extensible Binary Meta Language library
Summary(pl.UTF-8):	Statyczna wersja biblioteki rozszerzalnego metajęzyka binarnego
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of Extensible Binary Meta Language library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki rozszerzalnego metajęzyka binarnego.

%prep
%setup -q

%build
# .pc file generation expects relative CMAKE_INSTALL_{INCLUDE,LIB}DIR
%if %{with static_libs}
install -d build-static
cd build-static
%cmake .. \
	-DBUILD_SHARED_LIBS:BOOL=OFF \
	-DCMAKE_INSTALL_INCLUDEDIR=include \
	-DCMAKE_INSTALL_LIBDIR=%{_lib}

%{__make}
cd ..
%endif

install -d build
cd build
%cmake .. \
	-DCMAKE_INSTALL_INCLUDEDIR=include \
	-DCMAKE_INSTALL_LIBDIR=%{_lib}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%if %{with static_libs}
%{__make} -C build-static install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS.md README.md
%attr(755,root,root) %{_libdir}/libebml.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libebml.so.5

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libebml.so
%{_includedir}/ebml
%{_pkgconfigdir}/libebml.pc
%{_libdir}/cmake/EBML

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libebml.a
%endif
%changelog
* Thu Dec 14 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libebml.git;a=log;h=master

* Thu Dec 14 2023 Jan Palus <atler@pld-linux.org> ee74d85
- up to 1.4.5

* Sun Oct 09 2022 Jan Palus <atler@pld-linux.org> d34d584
- up to 1.4.4

* Sun Oct 02 2022 Jan Palus <atler@pld-linux.org> c3221ff
- drop gcc BR in favor of libstdc++-devel

* Sun Oct 02 2022 Jan Palus <atler@pld-linux.org> 0de2eb9
- up to 1.4.3

* Wed Nov 24 2021 Jan Rękorajski <baggins@pld-linux.org> 551d4f0
- fix building with gcc 11, rel 3

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 648fce9
- rebuild with separate debuginfo build-ids

* Tue Feb 23 2021 Jan Palus <atler@pld-linux.org> 0a11545
- BRs for tar.xz source

* Tue Feb 23 2021 Jan Palus <atler@pld-linux.org> de57894
- up to 1.4.2 (fixes CVE-2021-3405)

* Wed Jan 06 2021 Jan Palus <atler@pld-linux.org> f83e7ba
- up to 1.4.1

* Fri Sep 25 2020 Jakub Bogusz <qboosh@pld-linux.org> 386b452
- updated to 1.4.0 (new soname; some buffer overflow fix)

* Tue Mar 17 2020 Jakub Bogusz <qboosh@pld-linux.org> bbcf704
- updated to 1.3.10

* Sat Jun 01 2019 Jakub Bogusz <qboosh@pld-linux.org> aa2cebf
- updated to 1.3.9

* Tue Feb 19 2019 Jakub Bogusz <qboosh@pld-linux.org> d76b557
- macros for cmake

* Tue Feb 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 0bc28d6
- updated to 1.3.6; build system has been changed to cmake

* Tue Mar 13 2018 Marcin Krol <hawk@tld-linux.org> e57153e
- release 2

* Sat Aug 26 2017 Jan Palus <atler@pld-linux.org> 499e890
- up to 1.3.5

* Thu Aug 04 2016 Jakub Bogusz <qboosh@pld-linux.org> f080881
- updated to 1.3.4

* Mon Nov 09 2015 Jakub Bogusz <qboosh@pld-linux.org> 37635db
- updated to 1.3.3

* Fri Mar 13 2015 Jan Rękorajski <baggins@pld-linux.org> e7e79a1
- release 3 (by relup.sh)

* Fri Mar 13 2015 Jan Rękorajski <baggins@pld-linux.org> c281239
- release 2 (by relup.sh)

